org.gjt.sp.jedit.bsh

## Class InterpreterError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gjt.sp.jedit.bsh.InterpreterError

- All Implemented Interfaces:
    java.io.Serializable

      public class InterpreterError
      extends java.lang.RuntimeException

  An internal error in the interpreter has occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpreterError(java.lang.String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpreterError

          public InterpreterError(java.lang.String s)